## mini-buildd 1.0.33

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mini-buildd.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mini-buildd.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mini-buildd"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mini-buildd"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## mini-buildd 0.8.10

=== debian/changelog ===
mini-buildd (0.8.10) unstable; urgency=low

  * [d0c8489] rules: Fix wrong rc.d installation of mini-buildd-bld init
    script (Fixes: 'no mini-buildd logical volumes after reboot').

 -- Stephan Sürken <absurd@debian.org>  Tue, 26 Jan 2010 13:43:28 +0100

mini-buildd (0.8.9) unstable; urgency=low

  * [2b39e2c] 20_debconf-presseed.hook: Typo fix.
  * [1e02a61] README.Debian: Add hints where logs go to.
  * [1581ee7] debootstrap workaround (see discussion in Bug #562143):
    Always '--include=apt' when running debootstrap. Fixes base chroot
    creation for squeeze/sid.

 -- Stephan Sürken <absurd@debian.org>  Fri, 22 Jan 2010 18:39:27 +0100

mini-buildd (0.8.8) unstable; urgency=low

  * Upload to unstable.
    In the future, 0.8.x "stable" branch will go to unstable, 0.9.x aka
    "reprepro" development will go to experimental.
  * [dc13594] README, TODO: Updates, make fit for a release to unstable.

 -- Stephan Sürken <absurd@debian.org>  Fri, 15 Jan 2010 13:51:42 +0100

mini-buildd (0.8.7) experimental; urgency=low

  * [eaef293] common: Extend the hilarious changes file parsing routine
    to work with
  * [2131d89] cron.daily: Add some more comments.
  * [437602e] cron.weekly: Add maintenance script doing a full reindex.

 -- Stephan Sürken <absurd@debian.org>  Thu, 14 Jan 2010 18:50:35 +0100

mini-buildd (0.8.6) experimental; urgency=low

  * [a22a1ba] Adding utility mbd-fake-pool: Workaround to use Debian-
    style sources
  * [bdbefe4] Fix all scripts that need it from /bin/sh to /bin/bash;
    this ixes script failures on systems where sh is not bash (like on
    sid per default).
  * [8d59a84] Try to detect errors on daily cron script; only sent mail
    on errors.
  * [bd72445] Update Std-Ver to 3.8.3 (no changes needed)
  * [4dd5208] control: Depend on bsd-mailx | mailx, not just mailx
    (which is now virtual)

 -- Stephan Sürken <absurd@debian.org>  Tue, 12 Jan 2010 18:58:25 +0100

mini-buildd (0.8.5) experimental; urgency=low

  * [1f2861b] control: Fix maintainer name.
  * [820f1c7] copyright: Add "Source" URL pointing to the Debian pool
    (being Debian native).
  * [4bcfb0d] Support squeeze

 -- Stephan Sürken <absurd@debian.org>  Fri, 06 Nov 2009 18:31:51 +0100

mini-buildd (0.8.4) experimental; urgency=low

  * control,copyright,README.Debian: Updates.
  * Moving vcs to alioth+git+collab-maint; add VCS headers to control.
  * control: Fix section to devel (was non-free/devel).
  * control: Update stds-ver to 3.8.2 (no changes needed).
  * init: Don't fail if default file is not there.
  * control: -bld: Add note that the repository host must be set up first.
  * -rep tpl: Add caveat note about httpd userdir support.
  * Initial upload to experimental (Closes: #537721).

 -- Stephan Sürken <absurd@debian.org>  Tue, 28 Jul 2009 15:25:57 +0000

mini-buildd (0.8.3~uiSID+1) sid-ui; urgency=low

  [ Stephan Sürken ]
  * Bugfix: Backport mode, magic versions: Replace only the nonrevision
    part like '~id50+' (~id50+5 -> ~id40+5); formerly, only versions with
    default revisions (0,1) worked correctly.
    Thx Henning for reporting this...

  [ Automated changes by ui-auto-release ]
  * New Debian package based on 0.8.3 (stable): Reusing UNRELEASED
    section formerly versioned 0.8.3
  * MINI_BUILDD: AUTO_BACKPORTS: lenny-ui

  [ Stephan Sürken ]
  * ui-auto-release run by absurd@manwe.use.schlund.de.

 -- Stephan Sürken <stephan.suerken@1und1.de>  Tue, 16 Jun 2009 15:50:10 +0000

mini-buildd (0.8.2~uiSID+1) sid-ui; urgency=low

  [ Stephan Sürken ]
  * Harden backports mode:
    - If user gives duplicate bpo dist, (silently) only use one.
    - If user gives same dist as orig upload, warn and skip.
    - Put Backports qa check as last element of postbuild (was: build).
      Avoids backport creation even though the original package failed due
      to some qa check _after_ "build".

  [ Automated changes by ui-auto-release ]
  * New Debian package based on 0.8.2 (stable): Reusing UNRELEASED
    section formerly versioned 0.8.2
  * MINI_BUILDD: AUTO_BACKPORTS: lenny-ui

  [ Stephan Sürken ]
  * ui-auto-release run by absurd@manwe.use.schlund.de.

 -- Stephan Sürken <stephan.suerken@1und1.de>  Wed, 03 Jun 2009 11:08:08 +0000

mini-buildd (0.8.1~uiSID+1) sid-ui; urgency=low

  [ Stephan Sürken ]
  * lintian: Ignore some new lintian version checks:
     maintainer-upload-has-incorrect-version-number
     binary-nmu-debian-revision-in-source
     binary-nmu-uses-old-version-style
  * Better names for local customization dirs.

  [ Automated changes by ui-auto-release ]
  * New Debian package based on 0.8.1 (stable): Reusing UNRELEASED
    section formerly versioned 0.8.1
  * MINI_BUILDD: AUTO_BACKPORTS: lenny-ui

  [ Stephan Sürken ]
  * ui-auto-release run by absurd@manwe.use.schlund.de.

 -- Stephan Sürken <stephan.suerken@1und1.de>  Wed, 27 May 2009 16:20:47 +0000

mini-buildd (0.8.0~ui50+1) lenny-ui; urgency=low

  * Backport for lenny-ui (no changes).

 -- Stephan Sürken <stephan.suerken@1und1.de>  Mon, 25 May 2009 13:37:39 +0000

mini-buildd (0.8.0~uiSID+1) sid-ui; urgency=low

  * 0.8.x summary: Most important changes:
    - auto-backports mode.
    - base chroot maintenance via hooks (predefined+custom).
    - apt-secure support.
    - apt_preferences support.
    - a lot of testing and bug fixes.
   A more detailed albeit confusing changelog below;).
  * qa-check Build: Don't warn when no packages to build for arch.
  * Fix: Use /usr/share (not /usr/lib) for mini-buildd lib.
  * mini-buildd-common.postinst: Don't call sbuild-adduser with full path
    [W:lintian]
  * Override lintian error for missing config script for -common.
  * init: Add "reindex" target.
  * Implement Auto-Backports via new qa-check "Backports".
  * Chroot-Hooks:
    - New "local config" directory "~/.mini-buildd" on repo, copied by
      builders:
      - README file added with detailed instructions.
      - apt-secure/: Extra apt keys.
      - chroots-update.d/: Custom.


=== debian/control ===
Source: mini-buildd
Section: devel
Priority: extra
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends: debhelper (>= 7.0.50~), man-db (>= 2.5.1), po-debconf
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/mini-buildd.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mini-buildd.git;a=summary

Package: mini-buildd-common
Architecture: all
Depends: ${misc:Depends}, adduser, bsd-mailx | mailx, apache2-mpm-worker | httpd, openssh-client, gnupg, wget, sbuild (>= 0.57.7)
Description: Minimal Debian buildd (common)
 Mini-buildd is an easy-to-setup Debian autobuilder and
 repository. Its general notion is that of addons for a Debian
 base distribution (like etch, lenny, or sid) with an emphasis
 on clean builds and package checking.
 .
 This package includes common parts for both repository and
 builder installations.

Package: mini-buildd-rep
Architecture: all
Depends: ${misc:Depends}, mini-buildd-common, python, mini-dinstall (>> 0.6.24), cron, procps
Recommends: logrotate, dwww
Description: Minimal Debian buildd (repository)
 Mini-buildd is an easy-to-setup Debian autobuilder and
 repository. Its general notion is that of addons for a Debian
 base distribution (like etch, lenny, or sid) with an emphasis
 on clean builds and package checking.
 .
 Install this package on the machine that should hold the
 autobuilder network's repository.

Package: mini-buildd-bld
Architecture: all
Depends: ${misc:Depends}, mini-buildd-common, lvm2, debootstrap (>= 1.0.10lenny1), schroot, dput, dpkg-dev, devscripts (>= 2.10.15)
Recommends: logrotate
Description: Minimal Debian buildd (builder)
 Mini-buildd is an easy-to-setup Debian autobuilder and
 repository. Its general notion is that of addons for a Debian
 base distribution (like etch, lenny, or sid) with an emphasis
 on clean builds and package checking.
 .
 Install this package on any machine that should act as a
 builder for a specific architecture. To successfully configure
 a builder, the repository host (see package mini-buildd-rep)
 must be fully set up first.

## mini-buildd 0.8.15

=== debian/changelog ===
mini-buildd (0.8.15) unstable; urgency=low

  * [ee74e84] lib/mbd-setup-chroots: Remove run-setup|exec-scripts from
    schroot.conf: Obsoleted by schroot. (Closes: 592594)
  * [c1901b6] mbd-update-bld: Update sbuildrc's 'pgp_options' format to
    sbuild 0.60 (plus compat for lenny) (Closes: 592592)
  * [3e4e156] mbd-setup-chroots: schroot: Use extra config file in
    "chroot.d" instead of tainting schroot.conf directly. (Closes:
    592596)
  * [8fe360a] debian/control: Fix: -rep and -bld binary packages must
    depend on the exact same -common version.
  * [ae404c1] debian/control: Add deps for fakeroot, debhelper and cdbs
    on builder hosts; this will make auto-backports work out-of-the box
    for most packages.
  * [8c431b3] lib/mbd-qa-check: Update to changed bash4 subshell error
    handling. (Closes: 592599)
  * [1c7e4bd] debian/control: Update to std-ver 3.9.1 (no changes
    needed).
  * [6da0b47] debian/po/cs.po: New translation template for common.
    (Closes: 589825)

 -- Stephan Sürken <absurd@debian.org>  Mon, 16 Aug 2010 17:40:43 +0200

mini-buildd (0.8.14) unstable; urgency=low

  * [ec83a70] lib/mbd-qa-check+mbd-update-bld: Use "--nolog" command
    line (Closes: 588264) - thanks to Dominik Schulz

 -- Stephan Sürken <absurd@debian.org>  Wed, 07 Jul 2010 16:52:21 +0200

mini-buildd (0.8.13) unstable; urgency=low

  * [6216415] * debian/mini-buildd-bld.init: Fix bashism. (Closes:
    581124)
  * [b9fdb7f] * debian/mini-buildd-rep.init: Fix bashism. (Closes:
    581125)
  * [b9d6831] Debconf templates and debian/control reviewed by the
    debian-l10n-english team as part of the Smith review project.
    (Closes: #577850)
  * [2905311] Debconf translation updates (Closes: #579356, #580146,
    #565575, #580268, #580387, #580576, #581222, #581535, #581869) -
    thanks to French (Alexandre Hoïde), Swedish (Martin Bagge), Russian
    (Yuri Kozlov), Danish (Joe Hansen), Russian (Yuri Kozlov),
    Portuguese (Pedro Ribeiro), German (Tobias Quathamer), Vietnamese
    (Clytie Siddall), Spanish (Francisco Javier Cuadrado).

 -- Stephan Sürken <absurd@debian.org>  Tue, 25 May 2010 15:09:51 +0200

mini-buildd (0.8.12) unstable; urgency=low

  * [3c2bf04] mbd-preinstall: Add support to configure local hook for
    successful builds.

 -- Stephan Sürken <absurd@debian.org>  Fri, 05 Mar 2010 19:08:19 +0100

mini-buildd (0.8.11) unstable; urgency=low

  * [b5a6b9e] mbd-setup-lvm -a: Call vgchange after reattaching image
    file (fixes auto mode w/ LSB reboot).
  * [17aaf55] mini-buildd-bld.init: LSB: Add lvm2 to required start.
  * [04c5c00] Update to std-ver 3.8.4 (no changes needed).
  * [de9a578] Update to package format 3.0 (native).

 -- Stephan Sürken <absurd@debian.org>  Wed, 24 Feb 2010 15:26:36 +0100

=== debian/control ===
Source: mini-buildd
Section: devel
Priority: extra
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends: debhelper (>= 7.0.50~), man-db (>= 2.5.1), po-debconf
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/collab-maint/mini-buildd.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mini-buildd.git;a=summary

Package: mini-buildd-common
Architecture: all
Depends: ${misc:Depends}, adduser, bsd-mailx | mailx, apache2-mpm-worker | httpd, openssh-client, gnupg, wget, sbuild (>= 0.57.7)
Description: minimal Debian build daemon - common files
 Mini-buildd is an easy-to-configure Debian autobuilder and
 repository. Its general notion is that of add-ons for a Debian
 base distribution (like etch, lenny, or sid) with an emphasis
 on clean builds and package checking.
 .
 This package includes common parts for both repository and
 builder installations.

Package: mini-buildd-rep
Architecture: all
Depends: ${misc:Depends}, mini-buildd-common (= ${binary:Version}), python, mini-dinstall (>> 0.6.24), cron, procps
Recommends: logrotate, dwww
Description: minimal Debian build daemon - repository
 Mini-buildd is an easy-to-configure Debian autobuilder and
 repository. Its general notion is that of add-ons for a Debian
 base distribution (like etch, lenny, or sid) with an emphasis
 on clean builds and package checking.
 .
 This package provides the autobuilder network's repository.

Package: mini-buildd-bld
Architecture: all
Depends: ${misc:Depends}, mini-buildd-common (= ${binary:Version}), lvm2, debootstrap (>= 1.0.10lenny1), schroot (>= 1.2.2), dput, dpkg-dev, fakeroot, debhelper, cdbs, devscripts (>= 2.10.15)
Recommends: logrotate
Description: minimal Debian build daemon - builder
 Mini-buildd is an easy-to-configure Debian autobuilder and
 repository. Its general notion is that of add-ons for a Debian
 base distribution (like etch, lenny, or sid) with an emphasis
 on clean builds and package checking.
 .
 This package equips a machine to act as a builder for a specific
 architecture. Before builders can be set up a repository host
 must be fully configured (see the package mini-buildd-rep).

## mini-buildd 0.8.15+nmu1

=== debian/changelog ===
mini-buildd (0.8.15+nmu1) testing-proposed-updates; urgency=low

  * Non-maintainer upload.
  * Fix encoding of Danish debconf translation.

 -- Christian Perrier <bubulle@debian.org>  Tue, 11 Jan 2011 22:02:01 +0100

## mini-buildd 0.8.16

=== debian/changelog ===
mini-buildd (0.8.16) unstable; urgency=low

  * [174f2cd] lib/mbd-setup-chroots: Omit "priority" from schroot
    configuration. (Closes: 603913)
  * [6f4200f] lib/mbd-qa-check: Auto-backports: Don't use "-vSINCE"
    option when SINCE is empty (i.e., one changelog entry only).
    (Closes: 603919)
  * [6a0289d] debian/99mini-buildd: Don't log to stderr (as new schroot
    does not like it); avoids wrong daily error mail. (Closes: 604011)
  * [dcccef1] debian/po/ja.po: New translation template for common.
    (Closes: 602154)

 -- Stephan Sürken <absurd@debian.org>  Fri, 19 Nov 2010 16:13:51 +0100

## mini-buildd 0.8.18

=== debian/changelog ===
mini-buildd (0.8.18) unstable; urgency=low

  * [ca60a2c] debian/control: Having support for wheezy, update dep on 1st
    debootstrap w/ wheezy support. (cherry picked from commit
    fe3740e32931c6d47405bfa37ff62228eeaa6db0)
  * [5d81518] lib/mbd-lintian: Fix: Always use --force-confold when
    updating/installing. (cherry picked from commit
    dd6ff20ac3098a6648439265a721d5f7af53674f)
  * [16c9300] lib/mbd-setup-chroots: Fix/update for schroot 1.4.22: Also
    configure 'root-groups' (seems now required to get non-interactive
    root). (cherry picked from commit
    506414cba2178b6ca70cc59eb0cc089d33cfa2ab)
  * [052635c] lib/mbd-qa-check: sbuild call fix: Even with --no-log,
    '--verbose' should be used to get all relevant logs to
    stdout/err. (cherry picked from commit
    ac7209faa27301527d39fdc869b73951425bd014)

 -- Stephan Sürken <absurd@debian.org>  Wed, 15 Jun 2011 18:52:07 +0200

mini-buildd (0.8.17) unstable; urgency=low

  * [6b381aa] debian/po/da.po: Ack NMU 0.8.15+nmu1. (Closes: 610078)
  * [23b6be3] Add support for wheezy (Debian 7.0).
  * [966a853] lib/mbd-qa-check: Fix auto-backports for 'epoched'
    packages. (Closes: 609015) - thanks to Daniel Hermann

 -- Stephan Sürken <absurd@debian.org>  Tue, 08 Feb 2011 17:25:09 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 Package: mini-buildd-bld
 Architecture: all
-Depends: ${misc:Depends}, mini-buildd-common (= ${binary:Version}), lvm2, debootstrap (>= 1.0.10lenny1), schroot (>= 1.2.2), dput, dpkg-dev, fakeroot, debhelper, cdbs, devscripts (>= 2.10.15)
+Depends: ${misc:Depends}, mini-buildd-common (= ${binary:Version}), lvm2, debootstrap (>= 1.0.24~), schroot (>= 1.2.2), dput, dpkg-dev, fakeroot, debhelper, cdbs, devscripts (>= 2.10.15)
 Recommends: logrotate
 Description: minimal Debian build daemon - builder
  Mini-buildd is an easy-to-configure Debian autobuilder and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installinit:
	dh_installinit -p mini-buildd-rep
	dh_installinit -p mini-buildd-bld --no-start -- start 25 S .

## mini-buildd 0.8.19

=== debian/changelog ===
mini-buildd (0.8.19) unstable; urgency=low

  * [aef0c38] debian/mini-buildd-rep.init (LVM): Bugfix: Must not depend
    on lvm2 or schroot. (cherry picked from commit
    28b9575bba00bc75903a4205ae31596d1b5bbc9c)
  * [59212a0] debconf/mini-buildd.conf: Multiple sources are now separated
    via ",", not "\n".  (Closes: 625995)

 -- Stephan Sürken <absurd@debian.org>  Wed, 22 Jun 2011 15:15:06 +0200

## mini-buildd 0.8.20

=== debian/changelog ===
mini-buildd (0.8.20) unstable; urgency=low

  * [8a55182] debian/mini-buildd-bld|common postinst/postrm: Use adduser
    (not sbuild-adduser), and userdel (not deluser).  (Closes: 632957)

 -- Stephan Sürken <absurd@debian.org>  Wed, 27 Jul 2011 18:18:37 +0200

## mini-buildd 0.9.6

=== debian/changelog ===
mini-buildd (0.9.6) experimental; urgency=low

  This release fixes quite a number of glitches due to the reprepro change
  and newer sbuild/schroot versions, and updates to the new proposed
  distribution setup featuring experimental, unstable, testing and
  stable for each base distribution:

  * [cdb1529] lib/mbd-update-rep-html: Fix distribution URL for new
    repository layout.
  * [2da5721] mini-buildd-rep.maintscript: Use the new "maintscript"
    facility of debhelper 8.1; fixes not-removed obsolete conffiles from
    0.8.
  * [7a336ec] Remove mbd-fake-pool and mbd-remove-pkg helpers:
    Obselete/harmful with reprepro/pool.
  * [abb79f4] lib/mbd-update-rep: Add support for release-signing via
    reprepro; obsoletes mbd-sign-release helper.
  * [a93e202] lib/mbd-update-rep: Regression 0.8: Make all dists
    "NotAutomatic" again; non-exp dists now have "ButAutomaticUpgrades"
    (this is different from 0.8).
  * [699f515] debian/control: Decide to narrow to sbuild >= 1.62.4,
    schroot >= 1.4.22 to ease ironing out compat issues.
  * [e5f38fc] examples: Add new examples dir; add initial entry
    mbd-test-cpp.
  * [a140ba4] Add examples/ directory; add 'mbd-test-cpp' test source
    package, and helper script.
  * [8ffaaad] lib/mbd-qa-check|update-bld: sbuild update fix: Put
    CCACHE_DIR env to .sbuildrc, not sbuild call.
  * [e3934e4] debian/*: Don't use "sbuild" as primary group for
    mini-buildd (but add a dedicated extra system group mini-buildd).
  * [0647cf2] *-common: Depend on bash (as nearly all scripts need it, and
    it's no longer mandatory in Debian).
  * [32b7f17] debian/mini-buildd-common.postinst: Use "bash" as default
    shell for user mini-buildd.
  * [e55bbc0] debian/mini-buildd-common.postinst: Always upgrade user
    mini-buildd to new setup w/o sbuild group.
  * [559fa79] debian/control: Fix overlong lines.
  * [57f3332] debian/control: logrotate no longer used, remove
    recommendation.
  * [a0e0573] examples/testbuild: Improve to support arbitrary id, base
    dist, target and auto-backports easily (new dist setup).
  * [5741b33] Update to new proposed distribution setup featuring
    experimental, unstable, testing and stable for each base distribution,
    with the latter two managed by manual migration only (see
    NEWS.Debian).

 -- Stephan Sürken <absurd@debian.org>  Wed, 20 Jul 2011 13:39:15 +0200

mini-buildd (0.9.5) experimental; urgency=low

  * [28b9575] debian/mini-buildd-rep.init (LVM): Bugfix: Must not depend
    on lvm2 or schroot.
  * [8bf6e1c] debconf/mini-buildd.conf: Multiple sources are now separated
    via ",", not "\n".

 -- Stephan Sürken <absurd@debian.org>  Wed, 22 Jun 2011 15:19:01 +0200

mini-buildd (0.9.4) experimental; urgency=low

  * [30ac8cd] debian/control: Add missing ${python:Depends} for mini-buildd-rep.
  * [dd6ff20] lib/mbd-lintian: Fix: Always use --force-confold when updating/installing.
  * [3db4212] debian/control: b-d: Fix python-dep to >= 2.5, versioned only (omit alternates).
  * [506414c] lib/mbd-setup-chroots: Fix/update for schroot 1.4.22: Also configure 'root-groups' (seems now required to get non-interactive root).
  * [ac7209f] lib/mbd-qa-check: sbuild call fix: Even with --no-log, '--verbose' should be used to get all relevant logs to stdout/err.
  * [be3b1eb] mini-buildd: Use /usr/bin/python (not python2.5).
  * [734e594] mini_buildd/iwatcher.py: Fix: Use absolute path on initial incoming scan.

 -- Stephan Sürken <absurd@debian.org>  Wed, 15 Jun 2011 18:57:31 +0200

mini-buildd (0.9.3) experimental; urgency=low

  * Release with cumulated yet unreleased fixes in master:
  * [ce29072] lib/mbd-setup-chroots: Omit "priority" from schroot configuration.
    (Closes: 603913)
  * [88451eb] lib/mbd-qa-check: Auto-backports: Don't use "-vSINCE" option when SINCE is empty (i.e., one changelog entry only).
    (Closes: 603919)
  * [b57602b] debian/99mini-buildd: Don't log to stderr (as new schroot does not like it); fixes false-positive daily mails.
    (Closes: 604011)
  * [4bda519] debian/po/ja.po: New translation template for common.
    (Closes: 602154)
  * [9ba0ac0] debian/po/da.po: Ack NMU 0.8.15+nmu1. (Closes: 610078)
  * [d3869dd] Add support for wheezy (Debian 7.0).
  * [735d3c0] lib/mbd-qa-check: Fix auto-backports for 'epoched' packages.
    Thanks to Daniel Hermann (Closes: 609015)
  * [fe3740e] debian/control: Having support for wheezy, update dep on 1st debootstrap w/ wheezy support.

 -- Stephan Sürken <absurd@debian.org>  Tue, 14 Jun 2011 17:41:21 +0200

mini-buildd (0.9.2) experimental; urgency=low

  * [469d3f4] * debian/mini-buildd-bld.init: Fix bashism.
  * [6ae9f6f] * mini_buildd/iwatcher.py: Process incoming once on
    startup.
  * [5bb1ffd] Debconf templates and debian/control reviewed by the
    debian-l10n-english team as part of the Smith review project.
    (cherry picked from commit b9d683114752bbe8ea75d768a47abd6e5932bd14)
  * [1022acc] Debconf translation updates (cherry picked from commit
    290531124dd90919685e75c2d31200b438907cf4)
  * [35eae48] lib/mbd-qa-check+mbd-update-bld: Use "--nolog" command
    line (Closes: 588264) - thanks to Dominik Schulz
  * [913ccec] lib/mbd-setup-chroots: Remove run-setup|exec-scripts from
    schroot.conf: Obsoleted by schroot.
  * [11f24df] mbd-setup-chroots: schroot: Use extra config file in
    "chroot.d" instead of tainting schroot.conf directly.
  * [00a82db] mbd-update-bld: Update sbuildrc's 'pgp_options' format to
    sbuild 0.60 (plus compat for lenny)
  * [ae707d4] lib/mbd-common.sh: Update mbd sources list line to
    reprepro/pool.
  * [6f49d16] lib/mbd-update-rep: Update repropo indices.
  * [760fa54] debian/control: Fix: -rep and -bld binary packages must
    depend on the exact same -common version.
  * [ad1cf97] debian/control: Add deps for fakeroot, debhelper and cdbs
    on builder hosts; this will make auto-backports work out-of-the box
    for most packages.


=== examples/mbd-test-cpp/debian/changelog ===
mbd-test-cpp (0.1.0) UNRELEASED; urgency=low

  * Test package for mini-buildd.

 -- Stephan Sürken <absurd@debian.org>  Wed, 06 Jul 2011 18:14:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,19 @@
 Section: devel
 Priority: extra
 Maintainer: Stephan Sürken <absurd@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), man-db (>= 2.5.1), po-debconf
+XS-Python-Version: >=2.5
+Build-Depends: debhelper (>= 8.1.0~), man-db (>= 2.5.1), po-debconf,
+               python (>= 2.5), python-support (>= 0.5.3)
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/mini-buildd.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mini-buildd.git;a=summary
 
 Package: mini-buildd-common
 Architecture: all
-Depends: ${misc:Depends}, adduser, bsd-mailx | mailx, apache2-mpm-worker | httpd, openssh-client, gnupg, wget, sbuild (>= 0.57.7)
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, bash (>= 4), adduser, bsd-mailx | mailx,
+         openssh-client, gnupg, wget,
+         apache2-mpm-worker | httpd
 Description: minimal Debian build daemon - common files
  Mini-buildd is an easy-to-configure Debian autobuilder and
  repository. Its general notion is that of add-ons for a Debian
@@ -21,8 +26,12 @@
 
 Package: mini-buildd-rep
 Architecture: all
-Depends: ${misc:Depends}, mini-buildd-common (= ${binary:Version}), python, mini-dinstall (>> 0.6.24), cron, procps
-Recommends: logrotate, dwww
+XB-Python-Version: ${python:Versions}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${python:Depends}, mini-buildd-common (= ${binary:Version}),
+         python, python-daemon, python-pyinotify (>> 0.8.9),
+         reprepro (>> 4.1.0), cron, procps
+Recommends: dwww
 Description: minimal Debian build daemon - repository
  Mini-buildd is an easy-to-configure Debian autobuilder and
  repository. Its general notion is that of add-ons for a Debian
@@ -33,8 +42,11 @@
 
 Package: mini-buildd-bld
 Architecture: all
-Depends: ${misc:Depends}, mini-buildd-common (= ${binary:Version}), lvm2, debootstrap (>= 1.0.24~), schroot (>= 1.2.2), dput, dpkg-dev, fakeroot, debhelper, cdbs, devscripts (>= 2.10.15)
-Recommends: logrotate
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, mini-buildd-common (= ${binary:Version}),
+         adduser, lvm2, debootstrap (>= 1.0.24~),
+         schroot (>= 1.4.22), sbuild (>= 0.62.4),
+         dput, dpkg-dev, fakeroot, debhelper, cdbs, devscripts (>= 2.10.15)
 Description: minimal Debian build daemon - builder
  Mini-buildd is an easy-to-configure Debian autobuilder and
  repository. Its general notion is that of add-ons for a Debian

## mini-buildd 1.0.0~gamma.2

=== debian/changelog ===
mini-buildd (1.0.0~gamma.2) unstable; urgency=low

  Second gamma release. Cumulated minor bug fixes.
  * [790e162] control: Depend on django >= 1.5.2, needed for new templatetag calls (Fixes: wrong html dist filter under wheezy when not using django bpo)
  * [a8f47b5] source wizard: Fix/update apt keys for wheezy/jessie/sid
  * [e30ebbd] postinst: Always set mini-buildd user's 'geco' field to a non-empty value (Fixes potential build failures where code relies on this)
  * [8458cc7] changes.py: save: Don't use codec.open, deb822.dump() already handles encoding (Fixes save with non-ascii chars)
  * [11d7580] builder.py: Harden buildlog2status parser (only consider known/needed keys: Status|Lintian).
  * [2134fb9] changes.py: Fix code that still used '/tmp' to use mini_buildd's tmp dir.
  * [09da270] daemon.py: Fix keeping keyring tmp files around between init.d restarts.

 -- Stephan Sürken <absurd@debian.org>  Sun, 20 Oct 2013 15:13:36 +0200

mini-buildd (1.0.0~gamma.1) unstable; urgency=low

  Initial gamma release; initial upload to unstable.
  * [3e16e55] html, port[ext]: Use generic templatetag for options; narrow list of dists based on context.
  * [486afc3] [devel: sed s/echo/printf/g]
  * [6300acc] [devel: Add some basic mini-buildd-tool calls to standard check]
  * [4764a21] html(api_show): Improve rollbacks display.
  * [84534fc] html(home): Minor design fixes.
  * [8650b81] doc: Finish up the introduction.
  * [33b237f] notify: Add subject prefix [mini-buildd-ID].
  * [9659806] subscriptions: Minor display cosmetics.
  * [f829bb3] api(subscriptions): Use 'choices' list for actions (Fixes auto-complete).
  * [58ed076] gnupg: Fixup some implementation kludges.
  * [1a27e9d] api: Add 'printuploaders' command.
  * [c723e66] html(log, api_show): Cosmetic fixes.
  * [fd54987] python-keyring: Workaround the 'No handlers could be found for logger "keyring"' console warning.
  * [135c584] mini-buildd-tool: Add note to usage that we use python-keyring.
  * Closing bugs for good due to the upload to unstable:
  * Bug fix: "fails to install", thanks to Holger Levsen (Closes:
	  #632955).
  * Bug fix: "fails to install", thanks to Holger Levsen (Closes:
	  #656746).
  * Bug fix: "unowned files after purge (policy 6.8) violating FHS (policy
	  9.1) too", thanks to Andreas Beckmann (Closes: #660939).
  * Bug fix: "creates system user in /home", thanks to Andreas Beckmann
	  (Closes: #677618).
  * Bug fix: "When removing distributions, LVM volumes are not removed",
	  thanks to Stephan Sürken (Closes: #617673).
  * Bug fix: "no space left on device if build needs mor then 4GB disk
	  space", thanks to Ulrich Goettlich (Closes: #607189).
  * Bug fix: "Please add option not to use LVM with schroot", thanks to
	  Jean Stebens (Closes: #612310).
  * Bug fix: "please make crypto key parameters configurable", thanks to
	  Marc Haber (Closes: #633074).
  * Bug fix: "please consider prioritized bld hosts", thanks to Marc Haber
	  (Closes: #638301).

 -- Stephan Sürken <absurd@debian.org>  Sun, 06 Oct 2013 18:55:09 +0200

mini-buildd (1.0.0~beta.22) experimental; urgency=low

  22nd beta release. Cumulated minor bug fixes, re-work
  mini-buildd-tool creds/args handling, more convenience changes.
  [ Stephan Sürken ]
  * [f185904] source: Add reverse deps. for Archives.
  * [a331ec6] models: Use non-lethal dependencies flag for all actions (not just check).
  * [4333220] configure: Add convenience "PCA" action (prepare, check, activate).
  * [4282e18] Distribution: Enable 'eatmydata' and 'ccache' by default.
  * [619dda3] Add meta call pca_all (internal testing, auto setup).
  * [fccbb4f] check statuses: Improve the "check" status display, and show check status on home directly.
  * [355675a] misc.py: Add UserURL helper class.
  * [e4d6a8c] mini-buildd-tool credentials: Allow URLs with user embedded, and allow store for multiple users per host.
  * [965e0d9] mini-buildd-tool credentials: make list/clear accept regexes (instead of acting on all).

  [ Gerhard A. Dittes ]
  * [4045ee9] doc/mini-buildd-graphics.svg: Add new drawing "progress".
  * [3693505] Add image "progress_blue.gif" (thought to be used for blue [header] backgrounds).

  [ Stephan Sürken ]
  * [7aa7149] Add example script: auto-setup.
  * [bbc26d3] html(home): Add progress eye-candy.
  * [d1aff94] getsourceslist: Always add trailing newline.
  * [82b950e] mini-buildd-tool credentials: Save after successful login.
  * [f5e22e8] configure: Add a convenience 'PC' action.
  * [7ee8d6c] mini-buildd-tools credentials: Add --login, --reset, always save, never save.
  * [54f12cb] mini-buildd-tool: Make HOST mandatory first positional.
  * [795ed44] api(stop,start): Add newline for plain output.
  * [e8271fd] devel: Add mini-buildd-tool to pep8 test.
  * [105e7b6] mini-buildd-tool: Allow daemon id only as HOST.
  * [7f9bcef] repository 'debdev' wizard: Only add the 'sid' distribution.
  * [e154177] mini-buildd-tool credentials: Switch to python-keyring as creds store.
  * [a4b6e64] examples: Add "dput-wait-for-build" script.
  * [22f069e] control: b-d on python-argcomplete >= 0.5.4.
  * [7d5e552] API: Allow multiple key arguments per HTTP GET (allows for multiple select forms).
  * [49d8789] portext/html: Allow multiple to-distributions.
  * [0e9a2a1] html: Add js dir and initial mini-buildd.js to static files.
  * [422756e] port/html: Allow multiple to-distributions (on api_show page).
  * [9c07067] home(html): Use common js.
  * [d62e3fe] html/static: Use dir layout like django admin.
  * [3991366] html: Clean up repo overview & home; put portext to home.
  * [4877079] builder: sbuild: Use '--force-orig-source' directly (not '--debbuildopts=-sa').
  * [a58337a] debug mode "keep": Use generic function, add more files to keep.
  * [2217572] doc/quickstart.rst: Using repo: Add missing 'apt-get update'.
  * [a4e6458] builder+packager: Install dsc directly, don't include source in arch-all builds any more.



=== debian/control ===
Source: mini-buildd
Section: devel
Priority: extra
Maintainer: Stephan Sürken <absurd@debian.org>
X-Python-Version: >=2.6
Build-Depends: debhelper (>= 8.1.0~),
               man-db (>= 2.5.1),
               po-debconf,
               python (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python-pygraphviz,
               help2man,
               python-argparse,
               python-argcomplete (>= 0.5.4),
               python-keyring (>= 1.6),
               python-daemon (>= 1.5.5),
               python-debian (>= 0.1.18~),
               python-cherrypy3,
               python-pyftpdlib,
               python-django (>= 1.5.2),
               python-django-extensions (>= 0.4),
               python-django-registration (>= 0.9~)
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/collab-maint/mini-buildd.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mini-buildd.git;a=summary
Homepage: http://mini-buildd.installiert.net/

Package: python-mini-buildd
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-argparse,
         python-argcomplete (>= 0.5.4),
         python-keyring (>= 1.6),
         python-debian (>= 0.1.18~)
Description: Minimal Debian build daemon: python library and user tool
 mini-buildd is an easy-to-configure Debian autobuilder and
 repository.
 .
 This package includes the user space control tool and the
 'mini_buildd' python package.

Package: mini-buildd
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
         python-mini-buildd (= ${binary:Version}),
         mini-buildd-common (= ${binary:Version}),
         python-daemon (>= 1.5.5),
         python-cherrypy3,
         python-pyftpdlib,
         python-django (>= 1.5.2),
         python-django-extensions (>= 0.4),
         python-django-registration (>= 0.9~),
         libjs-jquery,
         adduser,
         sudo,
         gnupg,
         reprepro (>= 4.2),
         debootstrap (>= 1.0.24~),
         schroot (>= 1.6.3),
         sbuild (>= 0.63.1),
         dpkg-dev,
         lintian,
         devscripts (>= 2.10.15)
Recommends: python-apt
Suggests: haveged, lvm2, qemu-user-static, binfmt-support
Breaks: mini-buildd-rep (<< 1.0.0~),
        mini-buildd-bld (<< 1.0.0~)
Replaces: mini-buildd-rep,
          mini-buildd-bld
Description: Minimal Debian build daemon
 mini-buildd is an easy-to-configure Debian autobuilder and
 repository.

Package: mini-buildd-common
Architecture: all
Depends: ${misc:Depends}
Description: minimal Debian build daemon - 08x upgrade dummy package
 This is a dummy package assuring mini-buildd-common is
 upgraded (as a possible purge of the 0.8.x package
 would badly break mini-buildd 1.0).

## mini-buildd 1.0.0~gamma.3

=== debian/changelog ===
mini-buildd (1.0.0~gamma.3) unstable; urgency=low

  Third gamma release. Makes it work with django 1.6, cumulated fixes.
  * [d1c072b] package notify: Add 'port report'.
  * [9af72fe] build: Fix prio for our own sources to 1 (was 500). Fixes 'opt-in' in builds.
  * [3e546e3] chroot, distribution: Add 'origin' to display name (Fixes possible confusion when bogus/non-base sources are used like base sources).
  * [c71371a] chroot+distribution wizards: Harden, make them only chose source with origin=Debian,Ubuntu as base sources.
  * [86d5652] [django-1.6] Add extra django_settings module to be able to to configure _before_ any django imports (Fixes: django-1.6 settings exception on startup).
  * [3786498] [django-1.6] urls.py, root_urls.py: Make imports compatible with 1.5 and 1.6.
  * [b96d793] [django-1.6] control: deps: django-extensions >=1.2.5 (we now really need an updated version).
  * [c460585] mini-buildd-tool: Make compatible with python-keyring >= 3.0.2.
    Thanks to Sebastian Ramacher (Closes: 728471)

 -- Stephan Sürken <absurd@debian.org>  Tue, 12 Nov 2013 18:55:51 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python-cherrypy3,
                python-pyftpdlib,
                python-django (>= 1.5.2),
-               python-django-extensions (>= 0.4),
+               python-django-extensions (>= 1.2.5),
                python-django-registration (>= 0.9~)
 Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/mini-buildd.git
@@ -53,7 +53,7 @@
          python-cherrypy3,
          python-pyftpdlib,
          python-django (>= 1.5.2),
-         python-django-extensions (>= 0.4),
+         python-django-extensions (>= 1.2.5),
          python-django-registration (>= 0.9~),
          libjs-jquery,
          adduser,

## mini-buildd 1.0.0~gamma.4

=== debian/changelog ===
mini-buildd (1.0.0~gamma.4) unstable; urgency=low

  * [c3cbf7b] mini-buildd.cron.weekly: Be quiet when restarting (Fixes:
    Unneeded cron mails).
  * [9550998] examples: Add apache-ssl-proxy.conf (apache2 SSL proxy for
    mini-buildd example)
  * [e2b3c6c] gpg: add_keyring(): Don't fail (just warn) when the keyring
    file does not exist.
  * [785d7ef] repository wizard(debdev): Add Debian keyring as uploader by
    default.
  * [ad7212f] logs: Minor cosmetics for exception debug logs.
  * [7db87e1] ftpd: Harden incoming cruft removal (never fail but log on
    errors).
  * [2cacf2f] [html] Make "Retry now" look like a button.
  * [02c06a3] init.d: Always start with LANG=C.UTF-8 (Fixes occasional
    encoding bug when porting an "non-ascii author").

 -- Stephan Sürken <absurd@debian.org>  Mon, 25 Nov 2013 19:09:54 +0100

## mini-buildd 1.0.0~gamma.5

=== debian/changelog ===
mini-buildd (1.0.0~gamma.5) unstable; urgency=low

  Fifth gamma, 'l10n' release.
  * [32cbf96] mini-buildd: Add sanity check to avoid accidental starts by
    standard users.
  * [1cf513c] gnupg.py: sign(): Implicitly add newline to original file
    (like debsign does too) (Fixes signed dsc files for dpkg <= squeeze)
  * [d82b578] ports: Also gpg-sign the dsc file.
  * [14562c9] Debconf templates and debian/control reviewed by the debian-
    l10n-english team as part of the Smith review project. Thanks to
    Christian Perrier <bubulle@debian.org>, Russian (Yuri Kozlov), Danish
    (Joe Hansen), German (Tobias Quathamer), Polish (Michał Kułach),
    Japanese (Nobuhiro Iwamatsu), Italian (Pierangelo Mancusi), Swedish
    (Martin Bagge / brother), Portuguese (Américo Monteiro), French
    (Julien Patriarca) (Closes: #725850, #729295, #729429, #729655,
    #730063, #730481, #730523, #730538, #730648, #730803)

 -- Stephan Sürken <absurd@debian.org>  Mon, 02 Dec 2013 13:34:44 +0000

=== debian/control ===
--- 
+++ 
@@ -35,12 +35,12 @@
          python-argcomplete (>= 0.5.4),
          python-keyring (>= 1.6),
          python-debian (>= 0.1.18~)
-Description: Minimal Debian build daemon: python library and user tool
- mini-buildd is an easy-to-configure Debian autobuilder and
- repository.
+Description: minimal build daemon - python library and user tool
+ Mini-buildd is an easy-to-configure autobuilder and
+ repository for deb packages.
  .
- This package includes the user space control tool and the
- 'mini_buildd' python package.
+ This package includes the control utility "mini-buildd-tool" along
+ with the "mini_buildd" Python package.
 
 Package: mini-buildd
 Architecture: all
@@ -72,14 +72,16 @@
         mini-buildd-bld (<< 1.0.0~)
 Replaces: mini-buildd-rep,
           mini-buildd-bld
-Description: Minimal Debian build daemon
- mini-buildd is an easy-to-configure Debian autobuilder and
- repository.
+Description: minimal build daemon - daemon
+ Mini-buildd is an easy-to-configure autobuilder and
+ repository for deb packages.
+ .
+ This package provides the main daemon.
 
 Package: mini-buildd-common
 Architecture: all
 Depends: ${misc:Depends}
-Description: minimal Debian build daemon - 08x upgrade dummy package
+Description: minimal build daemon - 08x upgrade dummy package
  This is a dummy package assuring mini-buildd-common is
  upgraded (as a possible purge of the 0.8.x package
  would badly break mini-buildd 1.0).

## mini-buildd 1.0.0~rc.1

=== debian/changelog ===
mini-buildd (1.0.0~rc.1) unstable; urgency=medium

  First release candidate.
  * [5efd9f0] mini-buildd-tool: Fix: Don't loop "--reset_save_policy"
    through to API call.
  * [5806c96] mini-buildd-tool: Add --protocol={http|https} option.
  * [fdc10bb] ftpd: Harden incoming against cruft/bogus uploads.
  * [0cf20bf] port: Always decode unicode arg for subprocess; use
    LANG=C.UTF-8 in mini-buildd env.
  * [438a935] pyftpdlib: Depend on >= 1.2, remove all 0.x compat code
    (Fixes: pyftpd logging, installations on wheezy).
  * [a9a14e6] mini-buildd-tool: Clone the keyring logger.
  * [2743967] port: Fix dsc file signing for epoched versions (port
    regression introduced by [1cf513c])
  * [130ebcc] [devel: Make sure './devel check' works even on a clean
    checkout]
  * [676071d] doc: Some ispell fixes.
  * [c5ee0aa] doc: Fixes and updates for the quickstart.
  * [bd0d228] Remotes: Prepare: Unset key id when downloading key data
    (Fixes re-preparing of a remote (would try key server and fail))
  * [657e24f] models, state: Add acton trigger 'on_deactivation', and
    schedule keyring update on 'KeyringKey' deactivation (Fixes: Keyring
    not changed on the fly on deactivation).
  * [394ed18] Remotes keyring: Allow uploads by auto-deactivated remotes
    (Fixes: Rejected builds when the uploading remote was auto-deactivated
    previously, and not yet checked again)
  * [7536bef] mini-buildd: Add early check if the given http port is
    bindable (Fixes error handling when mini-buildd is already running).
  * [f1c9027] mini-buildd: Fix typo in exception message.
  * [d867ba7] mini-buildd: Add early check for multiprocessing (shm)
    functionality (Fixes error handling when shm is misconfigured).
  * [828c960] mini-buildd: Only run the new extra checks on proper daemon
    run.
  * [1a3a6c6] doc: Update remotes doc.
  * [86f61f6] doc: Updates for the admin's manual.
  * [57547bd] doc: Updates for the user's manual.
  * [824a9b0] control: Depend on sbuild >= 0.64.1 (Fixes: Lintian not run
    in the chroot)
  * [e6848bd] doc: Check and update all FAQ/Todo/bug items.

 -- Stephan Sürken <absurd@debian.org>  Sun, 15 Dec 2013 19:04:22 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python-daemon (>= 1.5.5),
                python-debian (>= 0.1.18~),
                python-cherrypy3,
-               python-pyftpdlib,
+               python-pyftpdlib (>= 1.2.0),
                python-django (>= 1.5.2),
                python-django-extensions (>= 1.2.5),
                python-django-registration (>= 0.9~)
@@ -51,7 +51,7 @@
          mini-buildd-common (= ${binary:Version}),
          python-daemon (>= 1.5.5),
          python-cherrypy3,
-         python-pyftpdlib,
+         python-pyftpdlib (>= 1.2.0),
          python-django (>= 1.5.2),
          python-django-extensions (>= 1.2.5),
          python-django-registration (>= 0.9~),
@@ -62,7 +62,7 @@
          reprepro (>= 4.2),
          debootstrap (>= 1.0.24~),
          schroot (>= 1.6.3),
-         sbuild (>= 0.63.1),
+         sbuild (>= 0.64.1),
          dpkg-dev,
          lintian,
          devscripts (>= 2.10.15)

=== examples/packages/archive-keyring-template/debian/control ===
Source: %ID%-archive-keyring
Section: misc
Priority: optional
Maintainer: %MAINT%
Standards-Version: 3.9.1

Package: %ID%-archive-keyring
Architecture: all
Depends: gnupg, apt
Description: mini-buildd archive keys for %ID%
 Automatic archive keys for mini-buildd instance id %ID%.
